Contact profile: fields, consent per list, stats
GET
/api/v1/workspaces/{workspace}/contacts/{contact}
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Permission: subscribers:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
contact
required
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
object
activityTotal
required
integer format: int64
consent
required
string
email
required
string
fields
required
Array<object>
object
custom
required
boolean
display
required
string
key
required
string
label
required
string
type
required
string
value
required
string
firstName
required
string
id
required
string
joinedAt
required
string format: date-time
language
required
object
browser
required
A signup form read it from the browser
boolean
code
required
string
gets
required
string
name
required
string
offered
required
boolean
options
required
Array<object>
object
code
required
string
name
required
string
offered
required
boolean
setAt
string format: date-time
source
required
string
sourceName
required
string
lastName
required
string
lists
required
Array<object>
object
doubleOptIn
required
boolean
events
required
Array<object>
object
action
required
string
actor
string
at
required
string format: date-time
consentText
string
consentVersion
string
detail
required
string
ip
string
language
string
note
required
string
source
required
string
sourceLabel
required
string
listId
required
string
name
required
string
status
required
string
mailboxLabel
required
string
mailboxProvider
required
string
name
required
string
preferences
required
object
fewerEmails
required
boolean
frequency
required
string
pausedUntil
string format: date-time
roleAddress
required
boolean
source
required
string
sourceLabel
required
string
stats
required
object
clicks
required
integer format: int64
emails90d
required
integer format: int64
humanOpenRate
number format: double
humanOpens
required
Emails opened by a person
integer format: int64
lastOpenAt
string format: date-time
lastOpenMachine
required
boolean
suppression
object
at
required
string format: date-time
id
required
string
reason
required
string
scope
required
string
tags
required
Array<string>
tier
required
string
Example
{ "consent": "double", "fields": [ { "display": "", "type": "text" } ], "language": { "source": "import" }, "lists": [ { "status": "subscribed" } ], "preferences": { "frequency": "all" }, "suppression": { "scope": "all" }, "tier": "active"}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}